package com.ghy.goods.service.impl;

import java.util.List;
import com.ghy.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ghy.goods.mapper.InsuranceManagerMapper;
import com.ghy.goods.domain.InsuranceManager;
import com.ghy.goods.service.IInsuranceManagerService;
import com.ghy.common.core.text.Convert;

/**
 * 保险管理Service业务层处理
 *
 * @author clunt
 * @date 2024-09-25
 */
@Service
public class InsuranceManagerServiceImpl implements IInsuranceManagerService
{
    @Autowired
    private InsuranceManagerMapper insuranceManagerMapper;

    /**
     * 查询保险管理
     *
     * @param id 保险管理主键
     * @return 保险管理
     */
    @Override
    public InsuranceManager selectInsuranceManagerById(Long id)
    {
        return insuranceManagerMapper.selectInsuranceManagerById(id);
    }

    /**
     * 查询保险管理列表
     *
     * @param insuranceManager 保险管理
     * @return 保险管理
     */
    @Override
    public List<InsuranceManager> selectInsuranceManagerList(InsuranceManager insuranceManager)
    {
        return insuranceManagerMapper.selectInsuranceManagerList(insuranceManager);
    }

    @Override
    public List<InsuranceManager> selectByIds(List<Long> ids) {
        return insuranceManagerMapper.selectByIds(ids);
    }

    /**
     * 新增保险管理
     *
     * @param insuranceManager 保险管理
     * @return 结果
     */
    @Override
    public int insertInsuranceManager(InsuranceManager insuranceManager)
    {
        insuranceManager.setCreateTime(DateUtils.getNowDate());
        return insuranceManagerMapper.insertInsuranceManager(insuranceManager);
    }

    /**
     * 修改保险管理
     *
     * @param insuranceManager 保险管理
     * @return 结果
     */
    @Override
    public int updateInsuranceManager(InsuranceManager insuranceManager)
    {
        insuranceManager.setUpdateTime(DateUtils.getNowDate());
        return insuranceManagerMapper.updateInsuranceManager(insuranceManager);
    }

    /**
     * 批量删除保险管理
     *
     * @param ids 需要删除的保险管理主键
     * @return 结果
     */
    @Override
    public int deleteInsuranceManagerByIds(String ids)
    {
        return insuranceManagerMapper.deleteInsuranceManagerByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除保险管理信息
     *
     * @param id 保险管理主键
     * @return 结果
     */
    @Override
    public int deleteInsuranceManagerById(Long id)
    {
        return insuranceManagerMapper.deleteInsuranceManagerById(id);
    }
}
